CLASS yddg_p_sm58 DEFINITION
  PUBLIC
  INHERITING FROM yddg__p_sm58
  FINAL
  CREATE PUBLIC .

  PUBLIC SECTION.
  PROTECTED SECTION.
  PRIVATE SECTION.
ENDCLASS.



CLASS yddg_p_sm58 IMPLEMENTATION.
ENDCLASS.
